package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.List;

/**
 * 通知公告表 po_notice
 *
 * @author blue
 */

public class PoNotice extends BaseEntity {
    private static final long serialVersionUID = 1L;
    /**
     * 通知公告ID
     */
    @Excel(name = "通知公告ID", cellType = Excel.ColumnType.NUMERIC)
    private Long noticeId;

    /**
     * 通知公告标题
     */
    @Excel(name = "通知公告标题")
    private String noticeTitle;

    /**
     * 通知公告内容
     */
    @Excel(name = "通知公告内容")
    private String noticeContent;

    /**
     * 通知公告类型 1通知 2公告
     */
    @Excel(name = "通知公告类型", readConverterExp = "1通知,2公告")
    private Integer noticeType;

    /**
     * 通知公告状态 0正常 1关闭
     */
    @Excel(name = "通知公告状态", readConverterExp = "0=正常,1=关闭")
    private Integer status;

    /**
     * 通知公告发布人ID
     */
    @Excel(name = "通知公告发布人ID", cellType = Excel.ColumnType.NUMERIC)
    private Long publisherId;

    /**
     * 通知公告接收人ID
     */
    @Excel(name = "通知公告接收人ID")
    private List<String> userId;

    /**
     * 通知公告逻辑删除状态 0未删除 1删除
     */
    @Excel(name = "逻辑删除状态", readConverterExp = "0未删除,1删除")
    private Boolean delFlag;

    public Long getNoticeId() {
        return noticeId;
    }

    public void setNoticeId(Long noticeId) {
        this.noticeId = noticeId;
    }

    public String getNoticeTitle() {
        return noticeTitle;
    }

    public void setNoticeTitle(String noticeTitle) {
        this.noticeTitle = noticeTitle;
    }

    public String getNoticeContent() {
        return noticeContent;
    }

    public void setNoticeContent(String noticeContent) {
        this.noticeContent = noticeContent;
    }

    public Integer getNoticeType() {
        return noticeType;
    }

    public void setNoticeType(Integer noticeType) {
        this.noticeType = noticeType;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getPublisherId() {
        return publisherId;
    }

    public void setPublisherId(Long publisherId) {
        this.publisherId = publisherId;
    }

    public List<String> getUserId() {
        return userId;
    }

    public void setUserId(List<String> userId) {
        this.userId = userId;
    }

    public Boolean getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Boolean delFlag) {
        this.delFlag = delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("noticeId", noticeId)
                .append("noticeTitle", noticeTitle)
                .append("noticeContent", noticeContent)
                .append("noticeType", noticeType)
                .append("status", status)
                .append("publisherId", publisherId)
                .append("userId", userId)
                .append("delFlag", delFlag)
                .toString();
    }
}
